Package org.eclipse.emf.cdo.server

## Class ContainmentCycleDetectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.eclipse.emf.cdo.server.ContainmentCycleDetectedException

- All Implemented Interfaces:
    `java.io.Serializable`

      @Deprecated
      public class ContainmentCycleDetectedException
      extends java.lang.IllegalStateException

  Deprecated.
  As of 4.2 no longer used in the server; replaced by `ContainmentCycleException` in the client.
  An unchecked exception that can thrown from a commit operation that is based on stale information about the tree structure of the model and would introduce a containment cycle.

  This situation results from a network race condition and can not be prevented by write locks on the changed objects. The committing client must `rollback` the transaction , replay the original changes and try to `commit` again.

  Since:
    4.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContainmentCycleDetectedException()` | Deprecated.
    `ContainmentCycleDetectedException​(java.lang.String s)` | Deprecated.
    `ContainmentCycleDetectedException​(java.lang.String message, java.lang.Throwable cause)` | Deprecated.
    `ContainmentCycleDetectedException​(java.lang.Throwable cause)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainmentCycleDetectedException

          public ContainmentCycleDetectedException()

      Deprecated.

    - #### ContainmentCycleDetectedException

          public ContainmentCycleDetectedException​(java.lang.String message,
                                                   java.lang.Throwable cause)

      Deprecated.

    - #### ContainmentCycleDetectedException

          public ContainmentCycleDetectedException​(java.lang.String s)

      Deprecated.

    - #### ContainmentCycleDetectedException

          public ContainmentCycleDetectedException​(java.lang.Throwable cause)

      Deprecated.